> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get l2 Statistics



## OpenAPI

````yaml /openapi.json post /statistics/l2_interface
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /statistics/l2_interface:
    post:
      tags:
        - statistics
      summary: Get l2 Statistics
      operationId: get_l2_interface_statistics_statistics_l2_interface_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StatisticsL2Request'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    StatisticsL2Request:
      properties:
        since:
          type: string
          format: date-time
          title: Since
        until:
          type: string
          format: date-time
          title: Until
        sample_rate:
          $ref: '#/components/schemas/SampleRate'
          default: auto
        column:
          items:
            $ref: '#/components/schemas/StatisticsL2MetricsColumns'
          type: array
          title: Column
        filters:
          $ref: '#/components/schemas/StatisticsL2Filters'
        flags:
          anyOf:
            - $ref: '#/components/schemas/StatisticsFlags'
            - type: 'null'
      type: object
      required:
        - since
        - until
        - column
        - filters
      title: StatisticsL2Request
    StatisticsResponse:
      properties:
        samples:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Samples
          default: []
        sample_rate:
          type: string
          title: Sample Rate
      type: object
      required:
        - sample_rate
      title: StatisticsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SampleRate:
      type: string
      enum:
        - auto
        - 10s
        - 30s
        - 1m
        - 5m
        - 15m
        - 1h
      title: SampleRate
      description: Enum defining the sample rate in any Statistics API request
    StatisticsL2MetricsColumns:
      type: string
      enum:
        - rx_bytes
        - tx_bytes
        - rx_bits
        - tx_bits
        - rx_packets
        - tx_packets
        - rx_bytes_dropped_by_meter
        - tx_bytes_dropped_by_meter
        - rx_packets_dropped_by_meter
        - tx_packets_dropped_by_meter
        - rx_bps
        - tx_bps
        - rx_pps
        - tx_pps
        - rx_bps_dropped_by_meter
        - tx_bps_dropped_by_meter
        - rx_pps_dropped_by_meter
        - tx_pps_dropped_by_meter
        - incoming_bps
        - outgoing_bps
        - incoming_pps
        - outgoing_pps
      title: StatisticsL2MetricsColumns
    StatisticsL2Filters:
      properties:
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        alias_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias Name
        l2_name:
          anyOf:
            - type: string
            - type: 'null'
          title: L2 Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        node_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Name
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
      additionalProperties: false
      type: object
      title: StatisticsL2Filters
    StatisticsFlags:
      properties: {}
      additionalProperties: false
      type: object
      title: StatisticsFlags
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````